<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Tue Aug 01 04:46:20 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>MemoryBroker (org.eclipse.papyrus.marte.static.profile 1.2.2 API)</title>
<meta name="date" content="2017-08-01">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="MemoryBroker (org.eclipse.papyrus.marte.static.profile 1.2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6,"i12":6,"i13":6,"i14":6,"i15":6,"i16":6,"i17":6,"i18":6,"i19":6,"i20":6,"i21":6,"i22":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MemoryBroker.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/DeviceBroker.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Brokering"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/SW_BrokeringFactory.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Brokering"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/MemoryBroker.html" target="_top">Frames</a></li>
<li><a href="MemoryBroker.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Brokering</div>
<h2 title="Interface MemoryBroker" class="title">Interface MemoryBroker</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Resource</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore">SwResource</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/impl/MemoryBrokerImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Brokering.impl">MemoryBrokerImpl</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">MemoryBroker</span>
extends <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore">SwResource</a></pre>
<div class="block"><!-- begin-user-doc -->
 A representation of the model object '<em><b>Memory Broker</b></em>'.
 <!-- end-user-doc -->

 <p>
 The following features are supported:
 </p>
 <ul>
 <li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/MemoryBroker.html#getAccessPolicy--"><code><em>Access Policy</em></code></a></li>
 <li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/MemoryBroker.html#getMemories--"><code><em>Memories</em></code></a></li>
 <li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/MemoryBroker.html#getMemoryBlockAdressElements--"><code><em>Memory Block Adress Elements</em></code></a></li>
 <li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/MemoryBroker.html#getMemoryBlockSizeElements--"><code><em>Memory Block Size Elements</em></code></a></li>
 <li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/MemoryBroker.html#getLockServices--"><code><em>Lock Services</em></code></a></li>
 <li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/MemoryBroker.html#getUnlockServices--"><code><em>Unlock Services</em></code></a></li>
 <li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/MemoryBroker.html#getMapServices--"><code><em>Map Services</em></code></a></li>
 <li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/MemoryBroker.html#getUnMapServices--"><code><em>Un Map Services</em></code></a></li>
 </ul></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/SW_BrokeringPackage.html#getMemoryBroker--"><code>SW_BrokeringPackage.getMemoryBroker()</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/AccessPolicyKind.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Brokering">AccessPolicyKind</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/MemoryBroker.html#getAccessPolicy--">getAccessPolicy</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Access Policy</b></em>' attribute.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.BehavioralFeature&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/MemoryBroker.html#getLockServices--">getLockServices</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Lock Services</b></em>' reference list.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.BehavioralFeature</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/MemoryBroker.html#getLockServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-">getLockServices</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
               org.eclipse.emf.common.util.EList&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;ownedParameterNames,
               org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Type&gt;&nbsp;ownedParameterTypes)</code>
<div class="block">Retrieves the first <code>BehavioralFeature</code> with the specified '<em><b>Name</b></em>', '<em><b>Owned Parameter Names</b></em>', and '<em><b>Owned Parameter Types</b></em>' from the '<em><b>Lock Services</b></em>' reference list.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.BehavioralFeature</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/MemoryBroker.html#getLockServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-boolean-org.eclipse.emf.ecore.EClass-">getLockServices</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
               org.eclipse.emf.common.util.EList&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;ownedParameterNames,
               org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Type&gt;&nbsp;ownedParameterTypes,
               boolean&nbsp;ignoreCase,
               org.eclipse.emf.ecore.EClass&nbsp;eClass)</code>
<div class="block">Retrieves the first <code>BehavioralFeature</code> with the specified '<em><b>Name</b></em>', '<em><b>Owned Parameter Names</b></em>', and '<em><b>Owned Parameter Types</b></em>' from the '<em><b>Lock Services</b></em>' reference list.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.BehavioralFeature&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/MemoryBroker.html#getMapServices--">getMapServices</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Map Services</b></em>' reference list.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.BehavioralFeature</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/MemoryBroker.html#getMapServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-">getMapServices</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
              org.eclipse.emf.common.util.EList&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;ownedParameterNames,
              org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Type&gt;&nbsp;ownedParameterTypes)</code>
<div class="block">Retrieves the first <code>BehavioralFeature</code> with the specified '<em><b>Name</b></em>', '<em><b>Owned Parameter Names</b></em>', and '<em><b>Owned Parameter Types</b></em>' from the '<em><b>Map Services</b></em>' reference list.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.BehavioralFeature</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/MemoryBroker.html#getMapServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-boolean-org.eclipse.emf.ecore.EClass-">getMapServices</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
              org.eclipse.emf.common.util.EList&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;ownedParameterNames,
              org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Type&gt;&nbsp;ownedParameterTypes,
              boolean&nbsp;ignoreCase,
              org.eclipse.emf.ecore.EClass&nbsp;eClass)</code>
<div class="block">Retrieves the first <code>BehavioralFeature</code> with the specified '<em><b>Name</b></em>', '<em><b>Owned Parameter Names</b></em>', and '<em><b>Owned Parameter Types</b></em>' from the '<em><b>Map Services</b></em>' reference list.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.TypedElement&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/MemoryBroker.html#getMemories--">getMemories</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Memories</b></em>' reference list.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.TypedElement</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/MemoryBroker.html#getMemories-java.lang.String-org.eclipse.uml2.uml.Type-">getMemories</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
           org.eclipse.uml2.uml.Type&nbsp;type)</code>
<div class="block">Retrieves the first <code>TypedElement</code> with the specified '<em><b>Name</b></em>', and '<em><b>Type</b></em>' from the '<em><b>Memories</b></em>' reference list.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.TypedElement</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/MemoryBroker.html#getMemories-java.lang.String-org.eclipse.uml2.uml.Type-boolean-org.eclipse.emf.ecore.EClass-">getMemories</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
           org.eclipse.uml2.uml.Type&nbsp;type,
           boolean&nbsp;ignoreCase,
           org.eclipse.emf.ecore.EClass&nbsp;eClass)</code>
<div class="block">Retrieves the first <code>TypedElement</code> with the specified '<em><b>Name</b></em>', and '<em><b>Type</b></em>' from the '<em><b>Memories</b></em>' reference list.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.TypedElement&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/MemoryBroker.html#getMemoryBlockAdressElements--">getMemoryBlockAdressElements</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Memory Block Adress Elements</b></em>' reference list.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.TypedElement</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/MemoryBroker.html#getMemoryBlockAdressElements-java.lang.String-org.eclipse.uml2.uml.Type-">getMemoryBlockAdressElements</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                            org.eclipse.uml2.uml.Type&nbsp;type)</code>
<div class="block">Retrieves the first <code>TypedElement</code> with the specified '<em><b>Name</b></em>', and '<em><b>Type</b></em>' from the '<em><b>Memory Block Adress Elements</b></em>' reference list.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.TypedElement</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/MemoryBroker.html#getMemoryBlockAdressElements-java.lang.String-org.eclipse.uml2.uml.Type-boolean-org.eclipse.emf.ecore.EClass-">getMemoryBlockAdressElements</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                            org.eclipse.uml2.uml.Type&nbsp;type,
                            boolean&nbsp;ignoreCase,
                            org.eclipse.emf.ecore.EClass&nbsp;eClass)</code>
<div class="block">Retrieves the first <code>TypedElement</code> with the specified '<em><b>Name</b></em>', and '<em><b>Type</b></em>' from the '<em><b>Memory Block Adress Elements</b></em>' reference list.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.TypedElement&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/MemoryBroker.html#getMemoryBlockSizeElements--">getMemoryBlockSizeElements</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Memory Block Size Elements</b></em>' reference list.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.TypedElement</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/MemoryBroker.html#getMemoryBlockSizeElements-java.lang.String-org.eclipse.uml2.uml.Type-">getMemoryBlockSizeElements</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                          org.eclipse.uml2.uml.Type&nbsp;type)</code>
<div class="block">Retrieves the first <code>TypedElement</code> with the specified '<em><b>Name</b></em>', and '<em><b>Type</b></em>' from the '<em><b>Memory Block Size Elements</b></em>' reference list.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.TypedElement</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/MemoryBroker.html#getMemoryBlockSizeElements-java.lang.String-org.eclipse.uml2.uml.Type-boolean-org.eclipse.emf.ecore.EClass-">getMemoryBlockSizeElements</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                          org.eclipse.uml2.uml.Type&nbsp;type,
                          boolean&nbsp;ignoreCase,
                          org.eclipse.emf.ecore.EClass&nbsp;eClass)</code>
<div class="block">Retrieves the first <code>TypedElement</code> with the specified '<em><b>Name</b></em>', and '<em><b>Type</b></em>' from the '<em><b>Memory Block Size Elements</b></em>' reference list.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.BehavioralFeature&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/MemoryBroker.html#getUnlockServices--">getUnlockServices</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Unlock Services</b></em>' reference list.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.BehavioralFeature</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/MemoryBroker.html#getUnlockServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-">getUnlockServices</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                 org.eclipse.emf.common.util.EList&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;ownedParameterNames,
                 org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Type&gt;&nbsp;ownedParameterTypes)</code>
<div class="block">Retrieves the first <code>BehavioralFeature</code> with the specified '<em><b>Name</b></em>', '<em><b>Owned Parameter Names</b></em>', and '<em><b>Owned Parameter Types</b></em>' from the '<em><b>Unlock Services</b></em>' reference list.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.BehavioralFeature</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/MemoryBroker.html#getUnlockServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-boolean-org.eclipse.emf.ecore.EClass-">getUnlockServices</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                 org.eclipse.emf.common.util.EList&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;ownedParameterNames,
                 org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Type&gt;&nbsp;ownedParameterTypes,
                 boolean&nbsp;ignoreCase,
                 org.eclipse.emf.ecore.EClass&nbsp;eClass)</code>
<div class="block">Retrieves the first <code>BehavioralFeature</code> with the specified '<em><b>Name</b></em>', '<em><b>Owned Parameter Names</b></em>', and '<em><b>Owned Parameter Types</b></em>' from the '<em><b>Unlock Services</b></em>' reference list.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.BehavioralFeature&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/MemoryBroker.html#getUnMapServices--">getUnMapServices</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Un Map Services</b></em>' reference list.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.BehavioralFeature</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/MemoryBroker.html#getUnMapServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-">getUnMapServices</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                org.eclipse.emf.common.util.EList&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;ownedParameterNames,
                org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Type&gt;&nbsp;ownedParameterTypes)</code>
<div class="block">Retrieves the first <code>BehavioralFeature</code> with the specified '<em><b>Name</b></em>', '<em><b>Owned Parameter Names</b></em>', and '<em><b>Owned Parameter Types</b></em>' from the '<em><b>Un Map Services</b></em>' reference list.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.BehavioralFeature</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/MemoryBroker.html#getUnMapServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-boolean-org.eclipse.emf.ecore.EClass-">getUnMapServices</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                org.eclipse.emf.common.util.EList&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;ownedParameterNames,
                org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Type&gt;&nbsp;ownedParameterTypes,
                boolean&nbsp;ignoreCase,
                org.eclipse.emf.ecore.EClass&nbsp;eClass)</code>
<div class="block">Retrieves the first <code>BehavioralFeature</code> with the specified '<em><b>Name</b></em>', '<em><b>Owned Parameter Names</b></em>', and '<em><b>Owned Parameter Types</b></em>' from the '<em><b>Un Map Services</b></em>' reference list.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/MemoryBroker.html#setAccessPolicy-org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Brokering.AccessPolicyKind-">setAccessPolicy</a></span>(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/AccessPolicyKind.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Brokering">AccessPolicyKind</a>&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/MemoryBroker.html#getAccessPolicy--"><code><em>Access Policy</em></code></a>' attribute.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore.SwResource">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore.<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore">SwResource</a></h3>
<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getCreateServices--">getCreateServices</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getCreateServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-">getCreateServices</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getCreateServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-boolean-org.eclipse.emf.ecore.EClass-">getCreateServices</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getDeleteServices--">getDeleteServices</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getDeleteServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-">getDeleteServices</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getDeleteServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-boolean-org.eclipse.emf.ecore.EClass-">getDeleteServices</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getIdentifierElements--">getIdentifierElements</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getIdentifierElements-java.lang.String-org.eclipse.uml2.uml.Type-">getIdentifierElements</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getIdentifierElements-java.lang.String-org.eclipse.uml2.uml.Type-boolean-org.eclipse.emf.ecore.EClass-">getIdentifierElements</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getInitializeServices--">getInitializeServices</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getInitializeServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-">getInitializeServices</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getInitializeServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-boolean-org.eclipse.emf.ecore.EClass-">getInitializeServices</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getMemorySizeFootprint--">getMemorySizeFootprint</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getStateElements--">getStateElements</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getStateElements-java.lang.String-org.eclipse.uml2.uml.Type-">getStateElements</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getStateElements-java.lang.String-org.eclipse.uml2.uml.Type-boolean-org.eclipse.emf.ecore.EClass-">getStateElements</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#setMemorySizeFootprint-org.eclipse.uml2.uml.TypedElement-">setMemorySizeFootprint</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.Resource">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Resource</a></h3>
<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#getBase_Classifier--">getBase_Classifier</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#getBase_ConnectableElement--">getBase_ConnectableElement</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#getBase_InstanceSpecification--">getBase_InstanceSpecification</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#getBase_Lifeline--">getBase_Lifeline</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#getBase_Property--">getBase_Property</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#getResMult--">getResMult</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#isActive--">isActive</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#isProtected--">isProtected</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setBase_Classifier-org.eclipse.uml2.uml.Classifier-">setBase_Classifier</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setBase_ConnectableElement-org.eclipse.uml2.uml.ConnectableElement-">setBase_ConnectableElement</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setBase_InstanceSpecification-org.eclipse.uml2.uml.InstanceSpecification-">setBase_InstanceSpecification</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setBase_Lifeline-org.eclipse.uml2.uml.Lifeline-">setBase_Lifeline</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setBase_Property-org.eclipse.uml2.uml.Property-">setBase_Property</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setIsActive-boolean-">setIsActive</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setIsProtected-boolean-">setIsProtected</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setResMult-java.lang.String-">setResMult</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getAccessPolicy--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAccessPolicy</h4>
<pre><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/AccessPolicyKind.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Brokering">AccessPolicyKind</a>&nbsp;getAccessPolicy()</pre>
<div class="block">Returns the value of the '<em><b>Access Policy</b></em>' attribute.
 The literals are from the enumeration <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/AccessPolicyKind.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Brokering"><code>AccessPolicyKind</code></a>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Access Policy</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Access Policy</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/AccessPolicyKind.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Brokering"><code>AccessPolicyKind</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/MemoryBroker.html#setAccessPolicy-org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Brokering.AccessPolicyKind-"><code>setAccessPolicy(AccessPolicyKind)</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/SW_BrokeringPackage.html#getMemoryBroker_AccessPolicy--"><code>SW_BrokeringPackage.getMemoryBroker_AccessPolicy()</code></a></dd>
</dl>
</li>
</ul>
<a name="setAccessPolicy-org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Brokering.AccessPolicyKind-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAccessPolicy</h4>
<pre>void&nbsp;setAccessPolicy(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/AccessPolicyKind.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Brokering">AccessPolicyKind</a>&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/MemoryBroker.html#getAccessPolicy--"><code><em>Access Policy</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Access Policy</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/AccessPolicyKind.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Brokering"><code>AccessPolicyKind</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/MemoryBroker.html#getAccessPolicy--"><code>getAccessPolicy()</code></a></dd>
</dl>
</li>
</ul>
<a name="getMemories--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMemories</h4>
<pre>org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.TypedElement&gt;&nbsp;getMemories()</pre>
<div class="block">Returns the value of the '<em><b>Memories</b></em>' reference list.
 The list contents are of type <code>TypedElement</code>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Memories</em>' reference list isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Memories</em>' reference list.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/SW_BrokeringPackage.html#getMemoryBroker_Memories--"><code>SW_BrokeringPackage.getMemoryBroker_Memories()</code></a></dd>
</dl>
</li>
</ul>
<a name="getMemories-java.lang.String-org.eclipse.uml2.uml.Type-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMemories</h4>
<pre>org.eclipse.uml2.uml.TypedElement&nbsp;getMemories(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                                              org.eclipse.uml2.uml.Type&nbsp;type)</pre>
<div class="block">Retrieves the first <code>TypedElement</code> with the specified '<em><b>Name</b></em>', and '<em><b>Type</b></em>' from the '<em><b>Memories</b></em>' reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - The '<em><b>Name</b></em>' of the <code>TypedElement</code> to retrieve, or <code>null</code>.</dd>
<dd><code>type</code> - The '<em><b>Type</b></em>' of the <code>TypedElement</code> to retrieve, or <code>null</code>.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The first <code>TypedElement</code> with the specified '<em><b>Name</b></em>', and '<em><b>Type</b></em>', or <code>null</code>.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/MemoryBroker.html#getMemories--"><code>getMemories()</code></a></dd>
</dl>
</li>
</ul>
<a name="getMemories-java.lang.String-org.eclipse.uml2.uml.Type-boolean-org.eclipse.emf.ecore.EClass-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMemories</h4>
<pre>org.eclipse.uml2.uml.TypedElement&nbsp;getMemories(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                                              org.eclipse.uml2.uml.Type&nbsp;type,
                                              boolean&nbsp;ignoreCase,
                                              org.eclipse.emf.ecore.EClass&nbsp;eClass)</pre>
<div class="block">Retrieves the first <code>TypedElement</code> with the specified '<em><b>Name</b></em>', and '<em><b>Type</b></em>' from the '<em><b>Memories</b></em>' reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - The '<em><b>Name</b></em>' of the <code>TypedElement</code> to retrieve, or <code>null</code>.</dd>
<dd><code>type</code> - The '<em><b>Type</b></em>' of the <code>TypedElement</code> to retrieve, or <code>null</code>.</dd>
<dd><code>ignoreCase</code> - Whether to ignore case in <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang"><code>String</code></a> comparisons.</dd>
<dd><code>eClass</code> - The Ecore class of the <code>TypedElement</code> to retrieve, or <code>null</code>.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The first <code>TypedElement</code> with the specified '<em><b>Name</b></em>', and '<em><b>Type</b></em>', or <code>null</code>.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/MemoryBroker.html#getMemories--"><code>getMemories()</code></a></dd>
</dl>
</li>
</ul>
<a name="getMemoryBlockAdressElements--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMemoryBlockAdressElements</h4>
<pre>org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.TypedElement&gt;&nbsp;getMemoryBlockAdressElements()</pre>
<div class="block">Returns the value of the '<em><b>Memory Block Adress Elements</b></em>' reference list.
 The list contents are of type <code>TypedElement</code>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Memory Block Adress Elements</em>' reference list isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Memory Block Adress Elements</em>' reference list.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/SW_BrokeringPackage.html#getMemoryBroker_MemoryBlockAdressElements--"><code>SW_BrokeringPackage.getMemoryBroker_MemoryBlockAdressElements()</code></a></dd>
</dl>
</li>
</ul>
<a name="getMemoryBlockAdressElements-java.lang.String-org.eclipse.uml2.uml.Type-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMemoryBlockAdressElements</h4>
<pre>org.eclipse.uml2.uml.TypedElement&nbsp;getMemoryBlockAdressElements(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                                                               org.eclipse.uml2.uml.Type&nbsp;type)</pre>
<div class="block">Retrieves the first <code>TypedElement</code> with the specified '<em><b>Name</b></em>', and '<em><b>Type</b></em>' from the '<em><b>Memory Block Adress Elements</b></em>' reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - The '<em><b>Name</b></em>' of the <code>TypedElement</code> to retrieve, or <code>null</code>.</dd>
<dd><code>type</code> - The '<em><b>Type</b></em>' of the <code>TypedElement</code> to retrieve, or <code>null</code>.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The first <code>TypedElement</code> with the specified '<em><b>Name</b></em>', and '<em><b>Type</b></em>', or <code>null</code>.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/MemoryBroker.html#getMemoryBlockAdressElements--"><code>getMemoryBlockAdressElements()</code></a></dd>
</dl>
</li>
</ul>
<a name="getMemoryBlockAdressElements-java.lang.String-org.eclipse.uml2.uml.Type-boolean-org.eclipse.emf.ecore.EClass-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMemoryBlockAdressElements</h4>
<pre>org.eclipse.uml2.uml.TypedElement&nbsp;getMemoryBlockAdressElements(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                                                               org.eclipse.uml2.uml.Type&nbsp;type,
                                                               boolean&nbsp;ignoreCase,
                                                               org.eclipse.emf.ecore.EClass&nbsp;eClass)</pre>
<div class="block">Retrieves the first <code>TypedElement</code> with the specified '<em><b>Name</b></em>', and '<em><b>Type</b></em>' from the '<em><b>Memory Block Adress Elements</b></em>' reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - The '<em><b>Name</b></em>' of the <code>TypedElement</code> to retrieve, or <code>null</code>.</dd>
<dd><code>type</code> - The '<em><b>Type</b></em>' of the <code>TypedElement</code> to retrieve, or <code>null</code>.</dd>
<dd><code>ignoreCase</code> - Whether to ignore case in <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang"><code>String</code></a> comparisons.</dd>
<dd><code>eClass</code> - The Ecore class of the <code>TypedElement</code> to retrieve, or <code>null</code>.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The first <code>TypedElement</code> with the specified '<em><b>Name</b></em>', and '<em><b>Type</b></em>', or <code>null</code>.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/MemoryBroker.html#getMemoryBlockAdressElements--"><code>getMemoryBlockAdressElements()</code></a></dd>
</dl>
</li>
</ul>
<a name="getMemoryBlockSizeElements--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMemoryBlockSizeElements</h4>
<pre>org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.TypedElement&gt;&nbsp;getMemoryBlockSizeElements()</pre>
<div class="block">Returns the value of the '<em><b>Memory Block Size Elements</b></em>' reference list.
 The list contents are of type <code>TypedElement</code>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Memory Block Size Elements</em>' reference list isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Memory Block Size Elements</em>' reference list.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/SW_BrokeringPackage.html#getMemoryBroker_MemoryBlockSizeElements--"><code>SW_BrokeringPackage.getMemoryBroker_MemoryBlockSizeElements()</code></a></dd>
</dl>
</li>
</ul>
<a name="getMemoryBlockSizeElements-java.lang.String-org.eclipse.uml2.uml.Type-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMemoryBlockSizeElements</h4>
<pre>org.eclipse.uml2.uml.TypedElement&nbsp;getMemoryBlockSizeElements(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                                                             org.eclipse.uml2.uml.Type&nbsp;type)</pre>
<div class="block">Retrieves the first <code>TypedElement</code> with the specified '<em><b>Name</b></em>', and '<em><b>Type</b></em>' from the '<em><b>Memory Block Size Elements</b></em>' reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - The '<em><b>Name</b></em>' of the <code>TypedElement</code> to retrieve, or <code>null</code>.</dd>
<dd><code>type</code> - The '<em><b>Type</b></em>' of the <code>TypedElement</code> to retrieve, or <code>null</code>.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The first <code>TypedElement</code> with the specified '<em><b>Name</b></em>', and '<em><b>Type</b></em>', or <code>null</code>.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/MemoryBroker.html#getMemoryBlockSizeElements--"><code>getMemoryBlockSizeElements()</code></a></dd>
</dl>
</li>
</ul>
<a name="getMemoryBlockSizeElements-java.lang.String-org.eclipse.uml2.uml.Type-boolean-org.eclipse.emf.ecore.EClass-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMemoryBlockSizeElements</h4>
<pre>org.eclipse.uml2.uml.TypedElement&nbsp;getMemoryBlockSizeElements(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                                                             org.eclipse.uml2.uml.Type&nbsp;type,
                                                             boolean&nbsp;ignoreCase,
                                                             org.eclipse.emf.ecore.EClass&nbsp;eClass)</pre>
<div class="block">Retrieves the first <code>TypedElement</code> with the specified '<em><b>Name</b></em>', and '<em><b>Type</b></em>' from the '<em><b>Memory Block Size Elements</b></em>' reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - The '<em><b>Name</b></em>' of the <code>TypedElement</code> to retrieve, or <code>null</code>.</dd>
<dd><code>type</code> - The '<em><b>Type</b></em>' of the <code>TypedElement</code> to retrieve, or <code>null</code>.</dd>
<dd><code>ignoreCase</code> - Whether to ignore case in <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang"><code>String</code></a> comparisons.</dd>
<dd><code>eClass</code> - The Ecore class of the <code>TypedElement</code> to retrieve, or <code>null</code>.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The first <code>TypedElement</code> with the specified '<em><b>Name</b></em>', and '<em><b>Type</b></em>', or <code>null</code>.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/MemoryBroker.html#getMemoryBlockSizeElements--"><code>getMemoryBlockSizeElements()</code></a></dd>
</dl>
</li>
</ul>
<a name="getLockServices--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLockServices</h4>
<pre>org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.BehavioralFeature&gt;&nbsp;getLockServices()</pre>
<div class="block">Returns the value of the '<em><b>Lock Services</b></em>' reference list.
 The list contents are of type <code>BehavioralFeature</code>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Lock Services</em>' reference list isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Lock Services</em>' reference list.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/SW_BrokeringPackage.html#getMemoryBroker_LockServices--"><code>SW_BrokeringPackage.getMemoryBroker_LockServices()</code></a></dd>
</dl>
</li>
</ul>
<a name="getLockServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLockServices</h4>
<pre>org.eclipse.uml2.uml.BehavioralFeature&nbsp;getLockServices(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                                                       org.eclipse.emf.common.util.EList&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;ownedParameterNames,
                                                       org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Type&gt;&nbsp;ownedParameterTypes)</pre>
<div class="block">Retrieves the first <code>BehavioralFeature</code> with the specified '<em><b>Name</b></em>', '<em><b>Owned Parameter Names</b></em>', and '<em><b>Owned Parameter Types</b></em>' from the '<em><b>Lock Services</b></em>' reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - The '<em><b>Name</b></em>' of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dd><code>ownedParameterNames</code> - The '<em><b>Owned Parameter Names</b></em>' of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dd><code>ownedParameterTypes</code> - The '<em><b>Owned Parameter Types</b></em>' of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The first <code>BehavioralFeature</code> with the specified '<em><b>Name</b></em>', '<em><b>Owned Parameter Names</b></em>', and '<em><b>Owned Parameter Types</b></em>', or <code>null</code>.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/MemoryBroker.html#getLockServices--"><code>getLockServices()</code></a></dd>
</dl>
</li>
</ul>
<a name="getLockServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-boolean-org.eclipse.emf.ecore.EClass-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLockServices</h4>
<pre>org.eclipse.uml2.uml.BehavioralFeature&nbsp;getLockServices(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                                                       org.eclipse.emf.common.util.EList&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;ownedParameterNames,
                                                       org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Type&gt;&nbsp;ownedParameterTypes,
                                                       boolean&nbsp;ignoreCase,
                                                       org.eclipse.emf.ecore.EClass&nbsp;eClass)</pre>
<div class="block">Retrieves the first <code>BehavioralFeature</code> with the specified '<em><b>Name</b></em>', '<em><b>Owned Parameter Names</b></em>', and '<em><b>Owned Parameter Types</b></em>' from the '<em><b>Lock Services</b></em>' reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - The '<em><b>Name</b></em>' of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dd><code>ownedParameterNames</code> - The '<em><b>Owned Parameter Names</b></em>' of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dd><code>ownedParameterTypes</code> - The '<em><b>Owned Parameter Types</b></em>' of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dd><code>ignoreCase</code> - Whether to ignore case in <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang"><code>String</code></a> comparisons.</dd>
<dd><code>eClass</code> - The Ecore class of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The first <code>BehavioralFeature</code> with the specified '<em><b>Name</b></em>', '<em><b>Owned Parameter Names</b></em>', and '<em><b>Owned Parameter Types</b></em>', or <code>null</code>.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/MemoryBroker.html#getLockServices--"><code>getLockServices()</code></a></dd>
</dl>
</li>
</ul>
<a name="getUnlockServices--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUnlockServices</h4>
<pre>org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.BehavioralFeature&gt;&nbsp;getUnlockServices()</pre>
<div class="block">Returns the value of the '<em><b>Unlock Services</b></em>' reference list.
 The list contents are of type <code>BehavioralFeature</code>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Unlock Services</em>' reference list isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Unlock Services</em>' reference list.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/SW_BrokeringPackage.html#getMemoryBroker_UnlockServices--"><code>SW_BrokeringPackage.getMemoryBroker_UnlockServices()</code></a></dd>
</dl>
</li>
</ul>
<a name="getUnlockServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUnlockServices</h4>
<pre>org.eclipse.uml2.uml.BehavioralFeature&nbsp;getUnlockServices(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                                                         org.eclipse.emf.common.util.EList&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;ownedParameterNames,
                                                         org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Type&gt;&nbsp;ownedParameterTypes)</pre>
<div class="block">Retrieves the first <code>BehavioralFeature</code> with the specified '<em><b>Name</b></em>', '<em><b>Owned Parameter Names</b></em>', and '<em><b>Owned Parameter Types</b></em>' from the '<em><b>Unlock Services</b></em>' reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - The '<em><b>Name</b></em>' of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dd><code>ownedParameterNames</code> - The '<em><b>Owned Parameter Names</b></em>' of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dd><code>ownedParameterTypes</code> - The '<em><b>Owned Parameter Types</b></em>' of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The first <code>BehavioralFeature</code> with the specified '<em><b>Name</b></em>', '<em><b>Owned Parameter Names</b></em>', and '<em><b>Owned Parameter Types</b></em>', or <code>null</code>.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/MemoryBroker.html#getUnlockServices--"><code>getUnlockServices()</code></a></dd>
</dl>
</li>
</ul>
<a name="getUnlockServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-boolean-org.eclipse.emf.ecore.EClass-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUnlockServices</h4>
<pre>org.eclipse.uml2.uml.BehavioralFeature&nbsp;getUnlockServices(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                                                         org.eclipse.emf.common.util.EList&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;ownedParameterNames,
                                                         org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Type&gt;&nbsp;ownedParameterTypes,
                                                         boolean&nbsp;ignoreCase,
                                                         org.eclipse.emf.ecore.EClass&nbsp;eClass)</pre>
<div class="block">Retrieves the first <code>BehavioralFeature</code> with the specified '<em><b>Name</b></em>', '<em><b>Owned Parameter Names</b></em>', and '<em><b>Owned Parameter Types</b></em>' from the '<em><b>Unlock Services</b></em>' reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - The '<em><b>Name</b></em>' of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dd><code>ownedParameterNames</code> - The '<em><b>Owned Parameter Names</b></em>' of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dd><code>ownedParameterTypes</code> - The '<em><b>Owned Parameter Types</b></em>' of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dd><code>ignoreCase</code> - Whether to ignore case in <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang"><code>String</code></a> comparisons.</dd>
<dd><code>eClass</code> - The Ecore class of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The first <code>BehavioralFeature</code> with the specified '<em><b>Name</b></em>', '<em><b>Owned Parameter Names</b></em>', and '<em><b>Owned Parameter Types</b></em>', or <code>null</code>.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/MemoryBroker.html#getUnlockServices--"><code>getUnlockServices()</code></a></dd>
</dl>
</li>
</ul>
<a name="getMapServices--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMapServices</h4>
<pre>org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.BehavioralFeature&gt;&nbsp;getMapServices()</pre>
<div class="block">Returns the value of the '<em><b>Map Services</b></em>' reference list.
 The list contents are of type <code>BehavioralFeature</code>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Map Services</em>' reference list isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Map Services</em>' reference list.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/SW_BrokeringPackage.html#getMemoryBroker_MapServices--"><code>SW_BrokeringPackage.getMemoryBroker_MapServices()</code></a></dd>
</dl>
</li>
</ul>
<a name="getMapServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMapServices</h4>
<pre>org.eclipse.uml2.uml.BehavioralFeature&nbsp;getMapServices(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                                                      org.eclipse.emf.common.util.EList&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;ownedParameterNames,
                                                      org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Type&gt;&nbsp;ownedParameterTypes)</pre>
<div class="block">Retrieves the first <code>BehavioralFeature</code> with the specified '<em><b>Name</b></em>', '<em><b>Owned Parameter Names</b></em>', and '<em><b>Owned Parameter Types</b></em>' from the '<em><b>Map Services</b></em>' reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - The '<em><b>Name</b></em>' of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dd><code>ownedParameterNames</code> - The '<em><b>Owned Parameter Names</b></em>' of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dd><code>ownedParameterTypes</code> - The '<em><b>Owned Parameter Types</b></em>' of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The first <code>BehavioralFeature</code> with the specified '<em><b>Name</b></em>', '<em><b>Owned Parameter Names</b></em>', and '<em><b>Owned Parameter Types</b></em>', or <code>null</code>.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/MemoryBroker.html#getMapServices--"><code>getMapServices()</code></a></dd>
</dl>
</li>
</ul>
<a name="getMapServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-boolean-org.eclipse.emf.ecore.EClass-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMapServices</h4>
<pre>org.eclipse.uml2.uml.BehavioralFeature&nbsp;getMapServices(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                                                      org.eclipse.emf.common.util.EList&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;ownedParameterNames,
                                                      org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Type&gt;&nbsp;ownedParameterTypes,
                                                      boolean&nbsp;ignoreCase,
                                                      org.eclipse.emf.ecore.EClass&nbsp;eClass)</pre>
<div class="block">Retrieves the first <code>BehavioralFeature</code> with the specified '<em><b>Name</b></em>', '<em><b>Owned Parameter Names</b></em>', and '<em><b>Owned Parameter Types</b></em>' from the '<em><b>Map Services</b></em>' reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - The '<em><b>Name</b></em>' of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dd><code>ownedParameterNames</code> - The '<em><b>Owned Parameter Names</b></em>' of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dd><code>ownedParameterTypes</code> - The '<em><b>Owned Parameter Types</b></em>' of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dd><code>ignoreCase</code> - Whether to ignore case in <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang"><code>String</code></a> comparisons.</dd>
<dd><code>eClass</code> - The Ecore class of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The first <code>BehavioralFeature</code> with the specified '<em><b>Name</b></em>', '<em><b>Owned Parameter Names</b></em>', and '<em><b>Owned Parameter Types</b></em>', or <code>null</code>.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/MemoryBroker.html#getMapServices--"><code>getMapServices()</code></a></dd>
</dl>
</li>
</ul>
<a name="getUnMapServices--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUnMapServices</h4>
<pre>org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.BehavioralFeature&gt;&nbsp;getUnMapServices()</pre>
<div class="block">Returns the value of the '<em><b>Un Map Services</b></em>' reference list.
 The list contents are of type <code>BehavioralFeature</code>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Un Map Services</em>' reference list isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Un Map Services</em>' reference list.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/SW_BrokeringPackage.html#getMemoryBroker_UnMapServices--"><code>SW_BrokeringPackage.getMemoryBroker_UnMapServices()</code></a></dd>
</dl>
</li>
</ul>
<a name="getUnMapServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUnMapServices</h4>
<pre>org.eclipse.uml2.uml.BehavioralFeature&nbsp;getUnMapServices(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                                                        org.eclipse.emf.common.util.EList&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;ownedParameterNames,
                                                        org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Type&gt;&nbsp;ownedParameterTypes)</pre>
<div class="block">Retrieves the first <code>BehavioralFeature</code> with the specified '<em><b>Name</b></em>', '<em><b>Owned Parameter Names</b></em>', and '<em><b>Owned Parameter Types</b></em>' from the '<em><b>Un Map Services</b></em>' reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - The '<em><b>Name</b></em>' of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dd><code>ownedParameterNames</code> - The '<em><b>Owned Parameter Names</b></em>' of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dd><code>ownedParameterTypes</code> - The '<em><b>Owned Parameter Types</b></em>' of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The first <code>BehavioralFeature</code> with the specified '<em><b>Name</b></em>', '<em><b>Owned Parameter Names</b></em>', and '<em><b>Owned Parameter Types</b></em>', or <code>null</code>.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/MemoryBroker.html#getUnMapServices--"><code>getUnMapServices()</code></a></dd>
</dl>
</li>
</ul>
<a name="getUnMapServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-boolean-org.eclipse.emf.ecore.EClass-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getUnMapServices</h4>
<pre>org.eclipse.uml2.uml.BehavioralFeature&nbsp;getUnMapServices(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                                                        org.eclipse.emf.common.util.EList&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;ownedParameterNames,
                                                        org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Type&gt;&nbsp;ownedParameterTypes,
                                                        boolean&nbsp;ignoreCase,
                                                        org.eclipse.emf.ecore.EClass&nbsp;eClass)</pre>
<div class="block">Retrieves the first <code>BehavioralFeature</code> with the specified '<em><b>Name</b></em>', '<em><b>Owned Parameter Names</b></em>', and '<em><b>Owned Parameter Types</b></em>' from the '<em><b>Un Map Services</b></em>' reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - The '<em><b>Name</b></em>' of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dd><code>ownedParameterNames</code> - The '<em><b>Owned Parameter Names</b></em>' of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dd><code>ownedParameterTypes</code> - The '<em><b>Owned Parameter Types</b></em>' of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dd><code>ignoreCase</code> - Whether to ignore case in <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang"><code>String</code></a> comparisons.</dd>
<dd><code>eClass</code> - The Ecore class of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The first <code>BehavioralFeature</code> with the specified '<em><b>Name</b></em>', '<em><b>Owned Parameter Names</b></em>', and '<em><b>Owned Parameter Types</b></em>', or <code>null</code>.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/MemoryBroker.html#getUnMapServices--"><code>getUnMapServices()</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MemoryBroker.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/DeviceBroker.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Brokering"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/SW_BrokeringFactory.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Brokering"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/MemoryBroker.html" target="_top">Frames</a></li>
<li><a href="MemoryBroker.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
